Skip to main content
PATCH
/
api
/
v1
/
auth
/
universal-auth
/
identities
/
{identityId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/auth/universal-auth/identities/{identityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clientSecretTrustedIps": [
    {
      "ipAddress": "<string>"
    }
  ],
  "accessTokenTrustedIps": [
    {
      "ipAddress": "<string>"
    }
  ],
  "accessTokenTTL": 157680000,
  "accessTokenNumUsesLimit": 1,
  "accessTokenMaxTTL": 157680000,
  "accessTokenPeriod": 157680000,
  "lockoutEnabled": true,
  "lockoutThreshold": 15.5,
  "lockoutDurationSeconds": 43215,
  "lockoutCounterResetSeconds": 1802.5
}
'
{
  "identityUniversalAuth": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accessTokenTTL": 7200,
    "accessTokenMaxTTL": 7200,
    "accessTokenNumUsesLimit": 0,
    "clientSecretTrustedIps": "<unknown>",
    "accessTokenTrustedIps": "<unknown>",
    "accessTokenPeriod": 0,
    "lockoutEnabled": true,
    "lockoutThreshold": 3,
    "lockoutDurationSeconds": 300,
    "lockoutCounterResetSeconds": 30
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical-saif-eng-4890-add-support-for-oracle-db-access-in.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to update the auth method for.

Body

application/json
clientSecretTrustedIps
object[]

The new list of IPs or CIDR ranges that the Client Secret can be used from.

Minimum array length: 1
accessTokenTrustedIps
object[]

The new list of IPs or CIDR ranges that access tokens can be used from.

Minimum array length: 1
accessTokenTTL
integer

The new lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
accessTokenNumUsesLimit
integer

The new maximum number of times that an access token can be used.

Required range: x >= 0
accessTokenMaxTTL
integer

The new maximum lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
accessTokenPeriod
integer

The new period for an access token in seconds.

Required range: 0 <= x <= 315360000
lockoutEnabled
boolean

Whether the lockout feature is enabled.

lockoutThreshold
number

The amount of times login must fail before locking the identity auth method.

Required range: 1 <= x <= 30
lockoutDurationSeconds
number

How long an identity auth method lockout lasts.

Required range: 30 <= x <= 86400
lockoutCounterResetSeconds
number

How long to wait from the most recent failed login until resetting the lockout counter.

Required range: 5 <= x <= 3600

Response

Default Response

identityUniversalAuth
object
required